Bug 470253 - anaconda cmdline mode prints html characters <b>Installing...</b> during package install
anaconda cmdline mode prints html characters <b>Installing...</b> during pack...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-06 08:59 EST by James Laska
Modified: 2013-09-02 02:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-05 14:53:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-11-06 08:59:25 EST
Description of problem:

When performing a cmdline mode install, it appears that html-like escape characters are displayed during package install

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Perform an automated kickstart install while booting with "cmdline"
Actual results:

anaconda installer init version starting
mounting /proc filesystem... done
creating /dev filesystem... done
starting udev...done
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
anaconda installer init version using /dev/hvc0 as console
trying to remount root filesystem read write... done
mounting /tmp as ramfs... done
running install...
running /sbin/loader
detecting hardware...
waiting for hardware to initialize...
Waiting for NetworkManager to configure eth2...
Looking for installation images on CD device /dev/sr0Waiting for NetworkManager to configure eth2...
Retrieving install.img...
Running anaconda, the Fedora system installer - please wait...
Activating new partitions.  Please wait...
Formatting / file system...
In progress...   

Formatting /boot file system...
In progress...   

Retrieving installation information for Installation Repo...
Retrieving installation information for Installation Repo...
Checking dependencies in packages selected for installation...
In progress...   

Starting install process.  This may take several minutes...
In progress...  

Preparing transaction from installation source...
In progress...   

<b>Installing libgcc-4.3.2-7.ppc</b> (118 KB)
GCC version 4.3 shared support library
<b>Installing setup-2.7.4-1.fc10.noarch</b> (419 KB)
A set of system configuration and setup files
<b>Installing filesystem-2.4.19-1.fc10.ppc</b> (0 Bytes)
The basic directory layout for a Linux system
<b>Installing basesystem-10.0-1.noarch</b> (0 Bytes)
The skeleton package which defines a simple Fedora system
<b>Installing tzdata-2008h-1.fc10.noarch</b> (1 MB)
Timezone data
<b>Installing ca-certificates-2008-7.noarch</b> (720 KB)
The Mozilla CA root certificate bundle
<b>Installing ncurses-base-5.6-20.20080927.fc10.ppc</b> (188 KB)
Descriptions of common terminals
<b>Installing kernel-firmware-</b> (644 KB)
Firmware files used by the Linux kernel
<b>Installing man-pages-3.09-2.fc10.noarch</b> (4 MB)
Man (manual) pages from the Linux Documentation Project
<b>Installing words-3.0-13.fc10.noarch</b> (4 MB)
A dictionary of English words for the /usr/share/dict directory
<b>Installing specspo-16-1.noarch</b> (33 MB)
Fedora package descriptions, summaries, and groups.
<b>Installing mailcap-2.1.28-1.fc9.noarch</b> (18 KB)
Associates helper applications with particular file types
<b>Installing rootfiles-8.1-1.1.1.noarch</b> (620 Bytes)
The basic required files for the root user's directory.
<b>Installing glibc-2.8.90-16.ppc</b> (29 MB)
The GNU libc libraries
<b>Installing zlib-1.2.3-18.fc9.ppc</b> (145 KB)
The zlib compression and decompression library
<b>Installing ncurses-libs-5.6-20.20080927.fc10.ppc</b> (842 KB)
Ncurses libraries
<b>Installing bash-3.2-29.fc10.ppc</b> (5 MB)
The GNU Bourne Again shell (bash) version 3.2
<b>Installing info-4.12-4.fc10.ppc</b> (325 KB)
A stand-alone TTY-based reader for GNU texinfo documentation
<b>Installing e2fsprogs-libs-1.41.3-1.fc10.ppc</b> (388 KB)
Ext2/3 filesystem-specific shared libraries and headers
<b>Installing freetype-2.3.7-1.fc10.ppc</b> (775 KB)
A free and portable font rendering engine
<b>Installing libstdc++-4.3.2-7.ppc</b> (1 MB)
GNU Standard C++ Library
<b>Installing popt-1.13-4.fc10.ppc</b> (85 KB)
C library for parsing command line parameters
<b>Installing chkconfig-1.3.38-1.ppc</b> (618 KB)
A system tool for maintaining the /etc/rc*.d hierarchy
<b>Installing libsepol-2.0.33-1.fc10.ppc</b> (278 KB)
SELinux binary policy manipulation library
<b>Installing libselinux-2.0.73-1.fc10.ppc</b> (194 KB)
SELinux library and simple utilities
<b>Installing audit-libs-1.7.8-6.fc10.ppc</b> (195 KB)
Dynamic library for libaudit
<b>Installing shadow-utils-4.1.2-8.fc10.ppc</b> (3 MB)
Utilities for managing accounts and shadow password files
<b>Installing readline-5.2-13.fc9.ppc</b> (418 KB)
A library for editing typed command lines
<b>Installing libxml2-2.7.2-1.fc10.ppc</b> (1 MB)
Library providing XML and HTML support
<b>Installing device-mapper-libs-1.02.27-6.fc10.ppc</b> (107 KB)
Device-mapper shared library
<b>Installing sed-4.1.5-10.fc9.ppc</b> (377 KB)
A GNU stream text editor
<b>Installing nspr-4.7.2-2.fc10.ppc</b> (318 KB)
Netscape Portable Runtime
<b>Installing libjpeg-6b-43.fc10.ppc</b> (332 KB)
A library for manipulating JPEG image format files
<b>Installing libusb-0.1.12-20.fc10.ppc</b> (64 KB)
A library which allows userspace access to USB devices
<b>Installing libpng-1.2.31-2.fc10.ppc</b> (639 KB)
A library of functions for manipulating PNG image format files
<b>Installing libcap-2.10-2.fc10.ppc</b> (86 KB)
Library for getting and setting POSIX.1e capabilities
<b>Installing libgpg-error-1.6-2.ppc</b> (214 KB)
Library for error values used by GnuPG components
<b>Installing expat-2.0.1-5.ppc</b> (220 KB)
An XML parser library
<b>Installing db4-4.7.25-5.fc10.ppc</b> (1 MB)
The Berkeley DB database library (version 4) for C
<b>Installing libgcrypt-1.4.3-2.fc10.ppc</b> (543 KB)
A general-purpose cryptography library
<b>Installing bzip2-libs-1.0.5-3.fc10.ppc</b> (76 KB)
Libraries for applications using bzip2
<b>Installing tcp_wrappers-libs-7.6-53.fc10.ppc</b> (131 KB)
tcp_wrappers libraries
<b>Installing libICE-1.0.4-4.fc10.ppc</b> (120 KB)
X.Org X11 libICE runtime library
<b>Installing libSM-1.1.0-2.fc10.ppc</b> (48 KB)
X.Org X11 libSM runtime library
<b>Installing device-mapper-1.02.27-6.fc10.ppc</b> (117 KB)
Device mapper utility
<b>Installing sqlite-3.5.9-2.fc10.ppc</b> (522 KB)
Library that implements an embeddable SQL database engine
<b>Installing nss-</b> (3 MB)
Network Security Services

Expected results:

No <b> characters ... for example in RHEL5.2

Installing cracklib-2.8.9-3.3...  Done [339/415]
Installing mdadm-2.6.4-1.el5...  Done [340/415]
Installing pam-  Done [341/415]
Installing util-linux-2.13-0.47.el5...  Done [342/415]
Installing passwd-0.73-1...  Done [343/415]
Installing usermode-1.88-3.el5.1...  Done [344/415]
Installing openssh-4.3p2-26.el5...  Done [345/415]
Installing portmap-4.0-  Done [346/415]
Installing mkinitrd-  Done [347/415]
Installing ypbind-1.19-8.el5...  Done [348/415]
Installing kbd-1.12-20.el5...  Done [349/415]
Installing authconfig-5.3.21-3.el5...  Done [350/415]

Additional info:

 * This is *not* a regression from F9 ... which does ...

In progress...    
<b>Installing setup-2.6.14-1.fc9.noarch</b> (419 KB)
A set of system configuration and setup files.

<b>Installing filesystem-2.4.13-1.fc9.x86_64</b> (0 Bytes)
The basic directory layout for a Linux system

<b>Installing texlive-texmf-errata-2007-4.fc9.noarch</b> (0 Bytes)
Errata for texlive-texmf

<b>Installing mozilla-filesystem-1.9-2.fc9.x86_64</b> (0 Bytes)
Mozilla filesytem layout
Comment 1 Chris Lumens 2008-11-06 15:26:05 EST
How does updates=http://clumens.fedorapeople.org/470253.img look?
Comment 2 James Laska 2008-11-06 16:06:21 EST
The <b>'s are gone.  But the package description remains.  

I'll leave it to you for whether we should match the RHEL5 behavior noted about of whether we stick with the current.  

Aside from larger logfiles on our automated systems, I can't think of why we wouldn't want the description.

But I do like the [n / m] text noting in RHEL5.  Is that possible here?
Comment 3 Chris Lumens 2008-11-06 16:28:50 EST
Yes it certainly should be possible to add the progress back, though it's not at all as easy as fixing the main issue here.  I'm attaching the patch for the main issue and reassigning to myself for post-f10.

diff --git a/cmdline.py b/cmdline.py
index 3dbf172..faebd6c 100644
--- a/cmdline.py
+++ b/cmdline.py
@@ -167,7 +167,7 @@ class progressDisplay:
     def set_label(self, txt):
         if txt != self.display:
-            self.display = txt
+            self.display = txt.replace("<b>", "").replace("</b>", "")
 def setupProgressDisplay(anaconda):
Comment 4 Bug Zapper 2008-11-25 23:52:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.